Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
91.0.0.0
Broadcast address
91.127.255.255
First usable
91.0.0.1
Last usable
91.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 5B000000 · Integer 1526726656 to 1535115263
Reverse DNS zones
0.91.in-addr.arpa
1.91.in-addr.arpa
2.91.in-addr.arpa
3.91.in-addr.arpa
4.91.in-addr.arpa
5.91.in-addr.arpa
6.91.in-addr.arpa
7.91.in-addr.arpa
8.91.in-addr.arpa
9.91.in-addr.arpa
10.91.in-addr.arpa
11.91.in-addr.arpa
12.91.in-addr.arpa
13.91.in-addr.arpa
14.91.in-addr.arpa
15.91.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.00000000.00000000.0000000091.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011011.00000000.00000000.0000000091.0.0.0
Broadcast01011011.01111111.11111111.1111111191.127.255.255
Split into smaller subnets/18

91.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.0.0.0/1891.0.0.1 to 91.0.63.25491.0.63.25516,382
291.0.64.0/1891.0.64.1 to 91.0.127.25491.0.127.25516,382
391.0.128.0/1891.0.128.1 to 91.0.191.25491.0.191.25516,382
491.0.192.0/1891.0.192.1 to 91.0.255.25491.0.255.25516,382
591.1.0.0/1891.1.0.1 to 91.1.63.25491.1.63.25516,382
691.1.64.0/1891.1.64.1 to 91.1.127.25491.1.127.25516,382
791.1.128.0/1891.1.128.1 to 91.1.191.25491.1.191.25516,382
891.1.192.0/1891.1.192.1 to 91.1.255.25491.1.255.25516,382
991.2.0.0/1891.2.0.1 to 91.2.63.25491.2.63.25516,382
1091.2.64.0/1891.2.64.1 to 91.2.127.25491.2.127.25516,382
1191.2.128.0/1891.2.128.1 to 91.2.191.25491.2.191.25516,382
1291.2.192.0/1891.2.192.1 to 91.2.255.25491.2.255.25516,382
1391.3.0.0/1891.3.0.1 to 91.3.63.25491.3.63.25516,382
1491.3.64.0/1891.3.64.1 to 91.3.127.25491.3.127.25516,382
1591.3.128.0/1891.3.128.1 to 91.3.191.25491.3.191.25516,382
1691.3.192.0/1891.3.192.1 to 91.3.255.25491.3.255.25516,382
1791.4.0.0/1891.4.0.1 to 91.4.63.25491.4.63.25516,382
1891.4.64.0/1891.4.64.1 to 91.4.127.25491.4.127.25516,382
1991.4.128.0/1891.4.128.1 to 91.4.191.25491.4.191.25516,382
2091.4.192.0/1891.4.192.1 to 91.4.255.25491.4.255.25516,382
2191.5.0.0/1891.5.0.1 to 91.5.63.25491.5.63.25516,382
2291.5.64.0/1891.5.64.1 to 91.5.127.25491.5.127.25516,382
2391.5.128.0/1891.5.128.1 to 91.5.191.25491.5.191.25516,382
2491.5.192.0/1891.5.192.1 to 91.5.255.25491.5.255.25516,382
2591.6.0.0/1891.6.0.1 to 91.6.63.25491.6.63.25516,382
2691.6.64.0/1891.6.64.1 to 91.6.127.25491.6.127.25516,382
2791.6.128.0/1891.6.128.1 to 91.6.191.25491.6.191.25516,382
2891.6.192.0/1891.6.192.1 to 91.6.255.25491.6.255.25516,382
2991.7.0.0/1891.7.0.1 to 91.7.63.25491.7.63.25516,382
3091.7.64.0/1891.7.64.1 to 91.7.127.25491.7.127.25516,382
3191.7.128.0/1891.7.128.1 to 91.7.191.25491.7.191.25516,382
3291.7.192.0/1891.7.192.1 to 91.7.255.25491.7.255.25516,382
3391.8.0.0/1891.8.0.1 to 91.8.63.25491.8.63.25516,382
3491.8.64.0/1891.8.64.1 to 91.8.127.25491.8.127.25516,382
3591.8.128.0/1891.8.128.1 to 91.8.191.25491.8.191.25516,382
3691.8.192.0/1891.8.192.1 to 91.8.255.25491.8.255.25516,382
3791.9.0.0/1891.9.0.1 to 91.9.63.25491.9.63.25516,382
3891.9.64.0/1891.9.64.1 to 91.9.127.25491.9.127.25516,382
3991.9.128.0/1891.9.128.1 to 91.9.191.25491.9.191.25516,382
4091.9.192.0/1891.9.192.1 to 91.9.255.25491.9.255.25516,382
4191.10.0.0/1891.10.0.1 to 91.10.63.25491.10.63.25516,382
4291.10.64.0/1891.10.64.1 to 91.10.127.25491.10.127.25516,382
4391.10.128.0/1891.10.128.1 to 91.10.191.25491.10.191.25516,382
4491.10.192.0/1891.10.192.1 to 91.10.255.25491.10.255.25516,382
4591.11.0.0/1891.11.0.1 to 91.11.63.25491.11.63.25516,382
4691.11.64.0/1891.11.64.1 to 91.11.127.25491.11.127.25516,382
4791.11.128.0/1891.11.128.1 to 91.11.191.25491.11.191.25516,382
4891.11.192.0/1891.11.192.1 to 91.11.255.25491.11.255.25516,382
4991.12.0.0/1891.12.0.1 to 91.12.63.25491.12.63.25516,382
5091.12.64.0/1891.12.64.1 to 91.12.127.25491.12.127.25516,382
5191.12.128.0/1891.12.128.1 to 91.12.191.25491.12.191.25516,382
5291.12.192.0/1891.12.192.1 to 91.12.255.25491.12.255.25516,382
5391.13.0.0/1891.13.0.1 to 91.13.63.25491.13.63.25516,382
5491.13.64.0/1891.13.64.1 to 91.13.127.25491.13.127.25516,382
5591.13.128.0/1891.13.128.1 to 91.13.191.25491.13.191.25516,382
5691.13.192.0/1891.13.192.1 to 91.13.255.25491.13.255.25516,382
5791.14.0.0/1891.14.0.1 to 91.14.63.25491.14.63.25516,382
5891.14.64.0/1891.14.64.1 to 91.14.127.25491.14.127.25516,382
5991.14.128.0/1891.14.128.1 to 91.14.191.25491.14.191.25516,382
6091.14.192.0/1891.14.192.1 to 91.14.255.25491.14.255.25516,382
6191.15.0.0/1891.15.0.1 to 91.15.63.25491.15.63.25516,382
6291.15.64.0/1891.15.64.1 to 91.15.127.25491.15.127.25516,382
6391.15.128.0/1891.15.128.1 to 91.15.191.25491.15.191.25516,382
6491.15.192.0/1891.15.192.1 to 91.15.255.25491.15.255.25516,382
6591.16.0.0/1891.16.0.1 to 91.16.63.25491.16.63.25516,382
6691.16.64.0/1891.16.64.1 to 91.16.127.25491.16.127.25516,382
6791.16.128.0/1891.16.128.1 to 91.16.191.25491.16.191.25516,382
6891.16.192.0/1891.16.192.1 to 91.16.255.25491.16.255.25516,382
6991.17.0.0/1891.17.0.1 to 91.17.63.25491.17.63.25516,382
7091.17.64.0/1891.17.64.1 to 91.17.127.25491.17.127.25516,382
7191.17.128.0/1891.17.128.1 to 91.17.191.25491.17.191.25516,382
7291.17.192.0/1891.17.192.1 to 91.17.255.25491.17.255.25516,382
7391.18.0.0/1891.18.0.1 to 91.18.63.25491.18.63.25516,382
7491.18.64.0/1891.18.64.1 to 91.18.127.25491.18.127.25516,382
7591.18.128.0/1891.18.128.1 to 91.18.191.25491.18.191.25516,382
7691.18.192.0/1891.18.192.1 to 91.18.255.25491.18.255.25516,382
7791.19.0.0/1891.19.0.1 to 91.19.63.25491.19.63.25516,382
7891.19.64.0/1891.19.64.1 to 91.19.127.25491.19.127.25516,382
7991.19.128.0/1891.19.128.1 to 91.19.191.25491.19.191.25516,382
8091.19.192.0/1891.19.192.1 to 91.19.255.25491.19.255.25516,382
8191.20.0.0/1891.20.0.1 to 91.20.63.25491.20.63.25516,382
8291.20.64.0/1891.20.64.1 to 91.20.127.25491.20.127.25516,382
8391.20.128.0/1891.20.128.1 to 91.20.191.25491.20.191.25516,382
8491.20.192.0/1891.20.192.1 to 91.20.255.25491.20.255.25516,382
8591.21.0.0/1891.21.0.1 to 91.21.63.25491.21.63.25516,382
8691.21.64.0/1891.21.64.1 to 91.21.127.25491.21.127.25516,382
8791.21.128.0/1891.21.128.1 to 91.21.191.25491.21.191.25516,382
8891.21.192.0/1891.21.192.1 to 91.21.255.25491.21.255.25516,382
8991.22.0.0/1891.22.0.1 to 91.22.63.25491.22.63.25516,382
9091.22.64.0/1891.22.64.1 to 91.22.127.25491.22.127.25516,382
9191.22.128.0/1891.22.128.1 to 91.22.191.25491.22.191.25516,382
9291.22.192.0/1891.22.192.1 to 91.22.255.25491.22.255.25516,382
9391.23.0.0/1891.23.0.1 to 91.23.63.25491.23.63.25516,382
9491.23.64.0/1891.23.64.1 to 91.23.127.25491.23.127.25516,382
9591.23.128.0/1891.23.128.1 to 91.23.191.25491.23.191.25516,382
9691.23.192.0/1891.23.192.1 to 91.23.255.25491.23.255.25516,382
9791.24.0.0/1891.24.0.1 to 91.24.63.25491.24.63.25516,382
9891.24.64.0/1891.24.64.1 to 91.24.127.25491.24.127.25516,382
9991.24.128.0/1891.24.128.1 to 91.24.191.25491.24.191.25516,382
10091.24.192.0/1891.24.192.1 to 91.24.255.25491.24.255.25516,382
10191.25.0.0/1891.25.0.1 to 91.25.63.25491.25.63.25516,382
10291.25.64.0/1891.25.64.1 to 91.25.127.25491.25.127.25516,382
10391.25.128.0/1891.25.128.1 to 91.25.191.25491.25.191.25516,382
10491.25.192.0/1891.25.192.1 to 91.25.255.25491.25.255.25516,382
10591.26.0.0/1891.26.0.1 to 91.26.63.25491.26.63.25516,382
10691.26.64.0/1891.26.64.1 to 91.26.127.25491.26.127.25516,382
10791.26.128.0/1891.26.128.1 to 91.26.191.25491.26.191.25516,382
10891.26.192.0/1891.26.192.1 to 91.26.255.25491.26.255.25516,382
10991.27.0.0/1891.27.0.1 to 91.27.63.25491.27.63.25516,382
11091.27.64.0/1891.27.64.1 to 91.27.127.25491.27.127.25516,382
11191.27.128.0/1891.27.128.1 to 91.27.191.25491.27.191.25516,382
11291.27.192.0/1891.27.192.1 to 91.27.255.25491.27.255.25516,382
11391.28.0.0/1891.28.0.1 to 91.28.63.25491.28.63.25516,382
11491.28.64.0/1891.28.64.1 to 91.28.127.25491.28.127.25516,382
11591.28.128.0/1891.28.128.1 to 91.28.191.25491.28.191.25516,382
11691.28.192.0/1891.28.192.1 to 91.28.255.25491.28.255.25516,382
11791.29.0.0/1891.29.0.1 to 91.29.63.25491.29.63.25516,382
11891.29.64.0/1891.29.64.1 to 91.29.127.25491.29.127.25516,382
11991.29.128.0/1891.29.128.1 to 91.29.191.25491.29.191.25516,382
12091.29.192.0/1891.29.192.1 to 91.29.255.25491.29.255.25516,382
12191.30.0.0/1891.30.0.1 to 91.30.63.25491.30.63.25516,382
12291.30.64.0/1891.30.64.1 to 91.30.127.25491.30.127.25516,382
12391.30.128.0/1891.30.128.1 to 91.30.191.25491.30.191.25516,382
12491.30.192.0/1891.30.192.1 to 91.30.255.25491.30.255.25516,382
12591.31.0.0/1891.31.0.1 to 91.31.63.25491.31.63.25516,382
12691.31.64.0/1891.31.64.1 to 91.31.127.25491.31.127.25516,382
12791.31.128.0/1891.31.128.1 to 91.31.191.25491.31.191.25516,382
12891.31.192.0/1891.31.192.1 to 91.31.255.25491.31.255.25516,382
12991.32.0.0/1891.32.0.1 to 91.32.63.25491.32.63.25516,382
13091.32.64.0/1891.32.64.1 to 91.32.127.25491.32.127.25516,382
13191.32.128.0/1891.32.128.1 to 91.32.191.25491.32.191.25516,382
13291.32.192.0/1891.32.192.1 to 91.32.255.25491.32.255.25516,382
13391.33.0.0/1891.33.0.1 to 91.33.63.25491.33.63.25516,382
13491.33.64.0/1891.33.64.1 to 91.33.127.25491.33.127.25516,382
13591.33.128.0/1891.33.128.1 to 91.33.191.25491.33.191.25516,382
13691.33.192.0/1891.33.192.1 to 91.33.255.25491.33.255.25516,382
13791.34.0.0/1891.34.0.1 to 91.34.63.25491.34.63.25516,382
13891.34.64.0/1891.34.64.1 to 91.34.127.25491.34.127.25516,382
13991.34.128.0/1891.34.128.1 to 91.34.191.25491.34.191.25516,382
14091.34.192.0/1891.34.192.1 to 91.34.255.25491.34.255.25516,382
14191.35.0.0/1891.35.0.1 to 91.35.63.25491.35.63.25516,382
14291.35.64.0/1891.35.64.1 to 91.35.127.25491.35.127.25516,382
14391.35.128.0/1891.35.128.1 to 91.35.191.25491.35.191.25516,382
14491.35.192.0/1891.35.192.1 to 91.35.255.25491.35.255.25516,382
14591.36.0.0/1891.36.0.1 to 91.36.63.25491.36.63.25516,382
14691.36.64.0/1891.36.64.1 to 91.36.127.25491.36.127.25516,382
14791.36.128.0/1891.36.128.1 to 91.36.191.25491.36.191.25516,382
14891.36.192.0/1891.36.192.1 to 91.36.255.25491.36.255.25516,382
14991.37.0.0/1891.37.0.1 to 91.37.63.25491.37.63.25516,382
15091.37.64.0/1891.37.64.1 to 91.37.127.25491.37.127.25516,382
15191.37.128.0/1891.37.128.1 to 91.37.191.25491.37.191.25516,382
15291.37.192.0/1891.37.192.1 to 91.37.255.25491.37.255.25516,382
15391.38.0.0/1891.38.0.1 to 91.38.63.25491.38.63.25516,382
15491.38.64.0/1891.38.64.1 to 91.38.127.25491.38.127.25516,382
15591.38.128.0/1891.38.128.1 to 91.38.191.25491.38.191.25516,382
15691.38.192.0/1891.38.192.1 to 91.38.255.25491.38.255.25516,382
15791.39.0.0/1891.39.0.1 to 91.39.63.25491.39.63.25516,382
15891.39.64.0/1891.39.64.1 to 91.39.127.25491.39.127.25516,382
15991.39.128.0/1891.39.128.1 to 91.39.191.25491.39.191.25516,382
16091.39.192.0/1891.39.192.1 to 91.39.255.25491.39.255.25516,382
16191.40.0.0/1891.40.0.1 to 91.40.63.25491.40.63.25516,382
16291.40.64.0/1891.40.64.1 to 91.40.127.25491.40.127.25516,382
16391.40.128.0/1891.40.128.1 to 91.40.191.25491.40.191.25516,382
16491.40.192.0/1891.40.192.1 to 91.40.255.25491.40.255.25516,382
16591.41.0.0/1891.41.0.1 to 91.41.63.25491.41.63.25516,382
16691.41.64.0/1891.41.64.1 to 91.41.127.25491.41.127.25516,382
16791.41.128.0/1891.41.128.1 to 91.41.191.25491.41.191.25516,382
16891.41.192.0/1891.41.192.1 to 91.41.255.25491.41.255.25516,382
16991.42.0.0/1891.42.0.1 to 91.42.63.25491.42.63.25516,382
17091.42.64.0/1891.42.64.1 to 91.42.127.25491.42.127.25516,382
17191.42.128.0/1891.42.128.1 to 91.42.191.25491.42.191.25516,382
17291.42.192.0/1891.42.192.1 to 91.42.255.25491.42.255.25516,382
17391.43.0.0/1891.43.0.1 to 91.43.63.25491.43.63.25516,382
17491.43.64.0/1891.43.64.1 to 91.43.127.25491.43.127.25516,382
17591.43.128.0/1891.43.128.1 to 91.43.191.25491.43.191.25516,382
17691.43.192.0/1891.43.192.1 to 91.43.255.25491.43.255.25516,382
17791.44.0.0/1891.44.0.1 to 91.44.63.25491.44.63.25516,382
17891.44.64.0/1891.44.64.1 to 91.44.127.25491.44.127.25516,382
17991.44.128.0/1891.44.128.1 to 91.44.191.25491.44.191.25516,382
18091.44.192.0/1891.44.192.1 to 91.44.255.25491.44.255.25516,382
18191.45.0.0/1891.45.0.1 to 91.45.63.25491.45.63.25516,382
18291.45.64.0/1891.45.64.1 to 91.45.127.25491.45.127.25516,382
18391.45.128.0/1891.45.128.1 to 91.45.191.25491.45.191.25516,382
18491.45.192.0/1891.45.192.1 to 91.45.255.25491.45.255.25516,382
18591.46.0.0/1891.46.0.1 to 91.46.63.25491.46.63.25516,382
18691.46.64.0/1891.46.64.1 to 91.46.127.25491.46.127.25516,382
18791.46.128.0/1891.46.128.1 to 91.46.191.25491.46.191.25516,382
18891.46.192.0/1891.46.192.1 to 91.46.255.25491.46.255.25516,382
18991.47.0.0/1891.47.0.1 to 91.47.63.25491.47.63.25516,382
19091.47.64.0/1891.47.64.1 to 91.47.127.25491.47.127.25516,382
19191.47.128.0/1891.47.128.1 to 91.47.191.25491.47.191.25516,382
19291.47.192.0/1891.47.192.1 to 91.47.255.25491.47.255.25516,382
19391.48.0.0/1891.48.0.1 to 91.48.63.25491.48.63.25516,382
19491.48.64.0/1891.48.64.1 to 91.48.127.25491.48.127.25516,382
19591.48.128.0/1891.48.128.1 to 91.48.191.25491.48.191.25516,382
19691.48.192.0/1891.48.192.1 to 91.48.255.25491.48.255.25516,382
19791.49.0.0/1891.49.0.1 to 91.49.63.25491.49.63.25516,382
19891.49.64.0/1891.49.64.1 to 91.49.127.25491.49.127.25516,382
19991.49.128.0/1891.49.128.1 to 91.49.191.25491.49.191.25516,382
20091.49.192.0/1891.49.192.1 to 91.49.255.25491.49.255.25516,382
20191.50.0.0/1891.50.0.1 to 91.50.63.25491.50.63.25516,382
20291.50.64.0/1891.50.64.1 to 91.50.127.25491.50.127.25516,382
20391.50.128.0/1891.50.128.1 to 91.50.191.25491.50.191.25516,382
20491.50.192.0/1891.50.192.1 to 91.50.255.25491.50.255.25516,382
20591.51.0.0/1891.51.0.1 to 91.51.63.25491.51.63.25516,382
20691.51.64.0/1891.51.64.1 to 91.51.127.25491.51.127.25516,382
20791.51.128.0/1891.51.128.1 to 91.51.191.25491.51.191.25516,382
20891.51.192.0/1891.51.192.1 to 91.51.255.25491.51.255.25516,382
20991.52.0.0/1891.52.0.1 to 91.52.63.25491.52.63.25516,382
21091.52.64.0/1891.52.64.1 to 91.52.127.25491.52.127.25516,382
21191.52.128.0/1891.52.128.1 to 91.52.191.25491.52.191.25516,382
21291.52.192.0/1891.52.192.1 to 91.52.255.25491.52.255.25516,382
21391.53.0.0/1891.53.0.1 to 91.53.63.25491.53.63.25516,382
21491.53.64.0/1891.53.64.1 to 91.53.127.25491.53.127.25516,382
21591.53.128.0/1891.53.128.1 to 91.53.191.25491.53.191.25516,382
21691.53.192.0/1891.53.192.1 to 91.53.255.25491.53.255.25516,382
21791.54.0.0/1891.54.0.1 to 91.54.63.25491.54.63.25516,382
21891.54.64.0/1891.54.64.1 to 91.54.127.25491.54.127.25516,382
21991.54.128.0/1891.54.128.1 to 91.54.191.25491.54.191.25516,382
22091.54.192.0/1891.54.192.1 to 91.54.255.25491.54.255.25516,382
22191.55.0.0/1891.55.0.1 to 91.55.63.25491.55.63.25516,382
22291.55.64.0/1891.55.64.1 to 91.55.127.25491.55.127.25516,382
22391.55.128.0/1891.55.128.1 to 91.55.191.25491.55.191.25516,382
22491.55.192.0/1891.55.192.1 to 91.55.255.25491.55.255.25516,382
22591.56.0.0/1891.56.0.1 to 91.56.63.25491.56.63.25516,382
22691.56.64.0/1891.56.64.1 to 91.56.127.25491.56.127.25516,382
22791.56.128.0/1891.56.128.1 to 91.56.191.25491.56.191.25516,382
22891.56.192.0/1891.56.192.1 to 91.56.255.25491.56.255.25516,382
22991.57.0.0/1891.57.0.1 to 91.57.63.25491.57.63.25516,382
23091.57.64.0/1891.57.64.1 to 91.57.127.25491.57.127.25516,382
23191.57.128.0/1891.57.128.1 to 91.57.191.25491.57.191.25516,382
23291.57.192.0/1891.57.192.1 to 91.57.255.25491.57.255.25516,382
23391.58.0.0/1891.58.0.1 to 91.58.63.25491.58.63.25516,382
23491.58.64.0/1891.58.64.1 to 91.58.127.25491.58.127.25516,382
23591.58.128.0/1891.58.128.1 to 91.58.191.25491.58.191.25516,382
23691.58.192.0/1891.58.192.1 to 91.58.255.25491.58.255.25516,382
23791.59.0.0/1891.59.0.1 to 91.59.63.25491.59.63.25516,382
23891.59.64.0/1891.59.64.1 to 91.59.127.25491.59.127.25516,382
23991.59.128.0/1891.59.128.1 to 91.59.191.25491.59.191.25516,382
24091.59.192.0/1891.59.192.1 to 91.59.255.25491.59.255.25516,382
24191.60.0.0/1891.60.0.1 to 91.60.63.25491.60.63.25516,382
24291.60.64.0/1891.60.64.1 to 91.60.127.25491.60.127.25516,382
24391.60.128.0/1891.60.128.1 to 91.60.191.25491.60.191.25516,382
24491.60.192.0/1891.60.192.1 to 91.60.255.25491.60.255.25516,382
24591.61.0.0/1891.61.0.1 to 91.61.63.25491.61.63.25516,382
24691.61.64.0/1891.61.64.1 to 91.61.127.25491.61.127.25516,382
24791.61.128.0/1891.61.128.1 to 91.61.191.25491.61.191.25516,382
24891.61.192.0/1891.61.192.1 to 91.61.255.25491.61.255.25516,382
24991.62.0.0/1891.62.0.1 to 91.62.63.25491.62.63.25516,382
25091.62.64.0/1891.62.64.1 to 91.62.127.25491.62.127.25516,382
25191.62.128.0/1891.62.128.1 to 91.62.191.25491.62.191.25516,382
25291.62.192.0/1891.62.192.1 to 91.62.255.25491.62.255.25516,382
25391.63.0.0/1891.63.0.1 to 91.63.63.25491.63.63.25516,382
25491.63.64.0/1891.63.64.1 to 91.63.127.25491.63.127.25516,382
25591.63.128.0/1891.63.128.1 to 91.63.191.25491.63.191.25516,382
25691.63.192.0/1891.63.192.1 to 91.63.255.25491.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses